<?php

namespace App\Models;

class PropertyReviewCategoryMapping extends BaseModel
{

    protected $table = 'property_review_category_mapping';
    protected $appends = ['sentimentText'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    protected $hidden = [];

    public function getSentimentTextAttribute()
    {
        $sentimentText = null;
        if ($this->sentiment == 1) {
            $sentimentText = 'Positive';
        } elseif ($this->sentiment == 0 && !is_null($this->sentiment)) {
            $sentimentText = 'Negative';
        }

        return $sentimentText;

    }
    public function category()
    {
        return $this->hasOne('App\Models\PropertyReviewCategory', 'id', 'category_id')->select(['id', 'name', 'language_key']);
    }
}
